#include <iostream>
#include <limits>
using namespace std;

main()
{
    string niska;
    int br=0;
    cin>>niska;
    int n=niska.length();
    int dis[n];
    for(int i=0;i<n;i++)
    {
        br=0;
        for(int j=i+1;j<n;j++)
        {
            if(j==n-1 && niska[i]!=niska[j]) {br=-1; break;}
            if(niska[i]==niska[j]) {break;}
            br++;
        }
        if(br%2==0)
        dis[i]=br;
        else
        dis[i]=-1;
    }
    dis[n-1]=-1;
    br=0;
    int br2;
    for(int i=0;i<n;i++)
    {
        if(dis[i]>2 && dis[i]%2==0)
        {
            br2=0;
            for(int j=i+1;j<=i+dis[i];j++)
            {
                if(dis[j]%2==0) br2++;
            }
            if(br2==0) br++;

        }
        else if(dis[i]%2==0) br++;

    }
    cout<<br;

}